Get NFT trades by collection
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/nft/{address}/trades \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/nft/{address}/trades"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/nft/{address}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"transaction_hash": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"transaction_index": "<string>",
"token_ids": [
"15",
"54"
],
"seller_address": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"buyer_address": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"token_address": "0x4ad3785ec7eed7589fa86538244a4530f962434f",
"marketplace_address": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"price": "1000000000000000",
"block_timestamp": "2021-06-04T16:00:15",
"block_number": "13680123",
"block_hash": "0x4a7c916ca4a970358b9df90051008f729685ff05e9724a9dddba32630c37cb96",
"price_token_address": "0x60e4d786628fea6478f785a6d7e704777c86a7c6"
}
],
"page": "2",
"page_size": "100",
"cursor": "<string>"
}Trades
NFT Trades by Collection
Get NFT trades for a given contract with the ability to filter by marketplace.
GET
/
nft
/
{address}
/
trades
Get NFT trades by collection
Authorizations
Path Parameters
The address of the NFT contract
Example:
"0x524cab2ec69124574082676e6f654a18df49a048"
Query Parameters
The chain to query
Available options:
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f Example:
"eth"
The minimum block number from which to get the transfers
- Provide the param 'from_block' or 'from_date'
- If 'from_date' and 'from_block' are provided, 'from_block' will be used.
Required range:
x >= 0The block number to get the trades from
The start date from which to get the transfers (format in seconds or datestring accepted by momentjs)
- Provide the param 'from_block' or 'from_date'
- If 'from_date' and 'from_block' are provided, 'from_block' will be used.
The end date from which to get the transfers (format in seconds or datestring accepted by momentjs)
- Provide the param 'to_block' or 'to_date'
- If 'to_date' and 'to_block' are provided, 'to_block' will be used.
Marketplace from which to get the trades. See supported Marketplaces.
Available options:
opensea, blur, looksrare, x2y2, 0xprotocol Example:
"opensea"
The cursor returned in the previous response (used for getting the next page).
The desired page size of the result.
Required range:
x >= 0Include the NFT Metadata of the NFT Token

